/*
Copyright 2004 John Tsiombikas <nuclear@siggraph.org>

This file is part of the MUD project by The Lab Software.

MUD is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MUD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MUD; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @file area.h */

#ifndef _AREA_H_
#define _AREA_H_

typedef int area_id;

struct area {
	area_id aid;
	char *title;
	char *desc;
};

struct area *create_area(area_id aid);
void destroy_area(struct area *area);

int set_area_title(struct area *area, const char *title);
int set_area_description(struct area *area, const char *desc);

#endif	/* _AREA_H_ */
