/*
Copyright 2004 John Tsiombikas <nuclear@siggraph.org>

This file is part of my common code collection (ccc).

ccc is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

ccc is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ccc; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @file list.h
 * A generic linked list implementation, that provides the functionality
 * of a doubly-linked list and works on generic void* data pointers.
 */

#ifndef _LIST_H_
#define _LIST_H_

/** linked list node structure */
struct list_node {
	void *data;
	struct list_node *next, *prev;
};

void delete_list(struct list_node *list, void (*delete_data)(void*));

void add_list_node(struct list_node **list, void *data);
void *remove_list_node(struct list_node *node, void (*delete_data)(void*));

struct list_node *find_list_node(struct list_node *list, void *data, int (*cmp_func)(void*, void*));

unsigned int count_list_nodes(struct list_node *list);

#endif	/* _LIST_H_ */
