/*
Copyright 2004 John Tsiombikas <nuclear@siggraph.org>

This file is part of the MUD project by The Lab Software.

MUD is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MUD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MUD; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @file world.h */

#ifndef _WORLD_H_
#define _WORLD_H_

#include "area.h"
#include "list.h"

int create_world(void);
void destroy_world(void);

struct list_node *get_adj_area_list(area_id aid);

area_id add_new_area(void);
area_id add_area(struct area *area);
struct area *get_area(area_id aid);

int add_area_link(area_id aid, area_id adj);
int del_area_link(area_id aid, area_id adj);

#endif	/* _WORLD_H_ */
